part of 'generated.dart';

class DeleteBenefitsDataVariablesBuilder {
  String staffId;
  String vendorBenefitPlanId;

  final FirebaseDataConnect _dataConnect;
  DeleteBenefitsDataVariablesBuilder(this._dataConnect, {required  this.staffId,required  this.vendorBenefitPlanId,});
  Deserializer<DeleteBenefitsDataData> dataDeserializer = (dynamic json)  => DeleteBenefitsDataData.fromJson(jsonDecode(json));
  Serializer<DeleteBenefitsDataVariables> varsSerializer = (DeleteBenefitsDataVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteBenefitsDataData, DeleteBenefitsDataVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteBenefitsDataData, DeleteBenefitsDataVariables> ref() {
    DeleteBenefitsDataVariables vars= DeleteBenefitsDataVariables(staffId: staffId,vendorBenefitPlanId: vendorBenefitPlanId,);
    return _dataConnect.mutation("deleteBenefitsData", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteBenefitsDataBenefitsDataDelete {
  final String vendorBenefitPlanId;
  final String staffId;
  DeleteBenefitsDataBenefitsDataDelete.fromJson(dynamic json):
  
  vendorBenefitPlanId = nativeFromJson<String>(json['vendorBenefitPlanId']),
  staffId = nativeFromJson<String>(json['staffId']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteBenefitsDataBenefitsDataDelete otherTyped = other as DeleteBenefitsDataBenefitsDataDelete;
    return vendorBenefitPlanId == otherTyped.vendorBenefitPlanId && 
    staffId == otherTyped.staffId;
    
  }
  @override
  int get hashCode => Object.hashAll([vendorBenefitPlanId.hashCode, staffId.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['vendorBenefitPlanId'] = nativeToJson<String>(vendorBenefitPlanId);
    json['staffId'] = nativeToJson<String>(staffId);
    return json;
  }

  DeleteBenefitsDataBenefitsDataDelete({
    required this.vendorBenefitPlanId,
    required this.staffId,
  });
}

@immutable
class DeleteBenefitsDataData {
  final DeleteBenefitsDataBenefitsDataDelete? benefitsData_delete;
  DeleteBenefitsDataData.fromJson(dynamic json):
  
  benefitsData_delete = json['benefitsData_delete'] == null ? null : DeleteBenefitsDataBenefitsDataDelete.fromJson(json['benefitsData_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteBenefitsDataData otherTyped = other as DeleteBenefitsDataData;
    return benefitsData_delete == otherTyped.benefitsData_delete;
    
  }
  @override
  int get hashCode => benefitsData_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (benefitsData_delete != null) {
      json['benefitsData_delete'] = benefitsData_delete!.toJson();
    }
    return json;
  }

  DeleteBenefitsDataData({
    this.benefitsData_delete,
  });
}

@immutable
class DeleteBenefitsDataVariables {
  final String staffId;
  final String vendorBenefitPlanId;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteBenefitsDataVariables.fromJson(Map<String, dynamic> json):
  
  staffId = nativeFromJson<String>(json['staffId']),
  vendorBenefitPlanId = nativeFromJson<String>(json['vendorBenefitPlanId']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteBenefitsDataVariables otherTyped = other as DeleteBenefitsDataVariables;
    return staffId == otherTyped.staffId && 
    vendorBenefitPlanId == otherTyped.vendorBenefitPlanId;
    
  }
  @override
  int get hashCode => Object.hashAll([staffId.hashCode, vendorBenefitPlanId.hashCode]);
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['staffId'] = nativeToJson<String>(staffId);
    json['vendorBenefitPlanId'] = nativeToJson<String>(vendorBenefitPlanId);
    return json;
  }

  DeleteBenefitsDataVariables({
    required this.staffId,
    required this.vendorBenefitPlanId,
  });
}

